PHP ��U
前一頁 |  | 下一頁

# pg_close

(PHP 3, PHP 4, PHP 5)

pg_close -- Closes a PostgreSQL connection

## Description

bool pg_close ( [resource connection] )

pg_close() closes the non-persistent connection to a PostgreSQL database associated with the given connection resource.

> 注: Using pg_close() is not usually necessary, as non-persistent open connections are automatically closed at the end of the script.

If there is open large object resource on the connection, do not close the connection before closing all large object resources.

## Parameters

connection

  PostgreSQL database connection resource. When connection is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. pg_close() example

`<?php $dbconn = pg_connect("host=localhost port=5432 dbname=mary") or die("Could not connect"); echo "Connected successfully"; pg_close($dbconn); ?>`

The above example will output:

    Connected successfully

## �Ѧ�

pg_connect()

前一頁 | 內容 | 下一頁
pg_client_encoding | 上一層 | pg_connect